Bug 1830119 - CVE-2020-2752 CVE-2020-2760 CVE-2020-2812 CVE-2020-2814 mariadb:10.3/mariadb: various flaws [fedora-all]
Summary: CVE-2020-2752 CVE-2020-2760 CVE-2020-2812 CVE-2020-2814 mariadb:10.3/mariadb:...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: mariadb
Version: 31
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
Assignee: Michal Schorm
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: CVE-2020-2812 CVE-2020-2814 CVE-2020-2760 CVE-2020-2752
TreeView+ depends on / blocked
 
Reported: 2020-04-30 20:37 UTC by Guilherme de Almeida Suckevicz
Modified: 2020-11-11 01:31 UTC (History)
10 users (show)

Fixed In Version: mariadb-10.3-3120201026103040.f636be4b mariadb-10.3-3220201026103040.43bbeeef mariadb-10.3.26-1.fc31
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-11-03 01:18:32 UTC
Type: ---


Attachments (Terms of Use)

Description Guilherme de Almeida Suckevicz 2020-04-30 20:37:21 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of fedora-all.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora. While only
one tracking bug has been filed, please correct all affected versions at
the same time.  If you need to fix the versions independent of each other,
you may clone this bug as appropriate.

Comment 1 Guilherme de Almeida Suckevicz 2020-04-30 20:37:24 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# low, medium, high, urgent (required)
severity=medium

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1830056,1830119

# Description of your update
notes=Security fix for [PUT CVEs HERE]

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new

Comment 2 Tomas Hoger 2020-05-21 13:10:07 UTC
While CVE-2020-2780 and CVE-2020-2922 were listed in the Oracle Apr 2020 CPU, they were fixed in earlier MariaDB versions.  They are already fixed in 10.3.22 that is currently used in all supported Fedora versions.  CVEs fixed in 10.3.23 are:

CVE-2020-2760 CVE-2020-2752 CVE-2020-2814 CVE-2020-2812

Comment 3 Fedora Update System 2020-10-29 20:16:28 UTC
FEDORA-2020-b0ea9e2d33 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-b0ea9e2d33

Comment 4 Fedora Update System 2020-10-29 20:16:29 UTC
FEDORA-MODULAR-2020-54bb2d7b4f has been submitted as an update to Fedora 32 Modular. https://bodhi.fedoraproject.org/updates/FEDORA-MODULAR-2020-54bb2d7b4f

Comment 5 Fedora Update System 2020-10-29 20:16:29 UTC
FEDORA-MODULAR-2020-9b110cfa88 has been submitted as an update to Fedora 31 Modular. https://bodhi.fedoraproject.org/updates/FEDORA-MODULAR-2020-9b110cfa88

Comment 6 Fedora Update System 2020-10-30 01:46:44 UTC
FEDORA-MODULAR-2020-54bb2d7b4f has been pushed to the Fedora 32 Modular testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-MODULAR-2020-54bb2d7b4f

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 7 Fedora Update System 2020-10-30 01:57:11 UTC
FEDORA-MODULAR-2020-9b110cfa88 has been pushed to the Fedora 31 Modular testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-MODULAR-2020-9b110cfa88

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Fedora Update System 2020-10-30 02:02:26 UTC
FEDORA-2020-b0ea9e2d33 has been pushed to the Fedora 31 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-b0ea9e2d33`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-b0ea9e2d33

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 9 Fedora Update System 2020-11-03 01:18:32 UTC
FEDORA-MODULAR-2020-9b110cfa88 has been pushed to the Fedora 31 Modular stable repository.
If problem still persists, please make note of it in this bug report.

Comment 10 Fedora Update System 2020-11-03 01:30:43 UTC
FEDORA-MODULAR-2020-54bb2d7b4f has been pushed to the Fedora 32 Modular stable repository.
If problem still persists, please make note of it in this bug report.

Comment 11 Fedora Update System 2020-11-06 02:33:39 UTC
FEDORA-2020-ac2d47d89a has been pushed to the Fedora 31 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-ac2d47d89a`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-ac2d47d89a

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 12 Fedora Update System 2020-11-11 01:31:51 UTC
FEDORA-2020-ac2d47d89a has been pushed to the Fedora 31 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.